summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall <info@davidwoodfall.co.uk>2010-03-26 13:40:28 +0100
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-13 14:46:31 +0200
commitd61b121b151f0148ec4adc37a0e8466ef8e28475 (patch)
tree8266c08e1d247f089c9ab0fade47b8e1491ebcda
parentf010c641bbd04debbf85cbc0b0bb2961167c28ad (diff)
downloadslackbuilds-d61b121b151f0148ec4adc37a0e8466ef8e28475.tar.gz
slackbuilds-d61b121b151f0148ec4adc37a0e8466ef8e28475.tar.xz
audio/clementine: Added.
Clementine is a port of Amarok 1.4, with some features rewritten to take advantage of Qt4.
-rw-r--r--audio/clementine/README17
-rwxr-xr-xaudio/clementine/clementine.SlackBuild93
-rw-r--r--audio/clementine/clementine.info10
-rw-r--r--audio/clementine/doinst.sh10
-rw-r--r--audio/clementine/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/audio/clementine/README b/audio/clementine/README
new file mode 100644
index 0000000000..1bca87e6ef
--- /dev/null
+++ b/audio/clementine/README
@@ -0,0 +1,17 @@
+Clementine is a modern music player and library organiser. Clementine is a
+port of Amarok 1.4, with some features rewritten to take advantage of Qt4.
+
+Features:
+
+* Search and play your local music library
+* Listen to internet radio from Last.fm and SomaFM
+* Edit tags on MP3 and OGG files, organise your music
+* Cross-platform - works on Windows, Mac OS X and Linux
+* Native desktop notifications on Linux (libnotify) and Mac OS X (Growl)
+
+Dependencies:
+
+liblastfm
+libnotify
+
+Both on slackbuilds.org
diff --git a/audio/clementine/clementine.SlackBuild b/audio/clementine/clementine.SlackBuild
new file mode 100755
index 0000000000..92e1e7d287
--- /dev/null
+++ b/audio/clementine/clementine.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for clementine
+
+# Copyright 2010 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=clementine
+VERSION=${VERSION:-0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS"
+
+make
+
+for i in 16 32 64 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/${i}x${i}/apps
+ install -m 0644 dist/${PRGNAM}_${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/application-x-clementine.png
+done
+
+mkdir -p $PKG/usr/{bin,share/applications}
+
+install -m 0755 src/$PRGNAM $PKG/usr/bin/
+install -m 0644 dist/${PRGNAM}.desktop $PKG/usr/share/applications/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp TODO $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/clementine/clementine.info b/audio/clementine/clementine.info
new file mode 100644
index 0000000000..be7c3b0732
--- /dev/null
+++ b/audio/clementine/clementine.info
@@ -0,0 +1,10 @@
+PRGNAM="clementine"
+VERSION="0.1"
+HOMEPAGE="http://www.kde-apps.org/content/show.php/Clementine?content=120598"
+DOWNLOAD="http://clementine-player.googlecode.com/files/clementine-0.1.tar.gz"
+MD5SUM="769ac869fd9d8e10ecd15709e0137549"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="info@davidwoodfall.co.uk"
+APPROVED="pprkut"
diff --git a/audio/clementine/doinst.sh b/audio/clementine/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/audio/clementine/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/clementine/slack-desc b/audio/clementine/slack-desc
new file mode 100644
index 0000000000..5d05c1c5b6
--- /dev/null
+++ b/audio/clementine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clementine: Clementine - music player based on Amarok 1.4
+clementine:
+clementine: Clementine is a modern music player and library organiser. Clementine
+clementine: is a port of Amarok 1.4, with some features rewritten to take
+clementine: advantage of Qt4.
+clementine:
+clementine: Homepage:
+clementine: http://www.kde-apps.org/content/show.php/Clementine?content=120598
+clementine:
+clementine:
+clementine: